読者です 読者をやめる 読者になる 読者になる

Lubuntu 14.04 に Nokogiri をインストール

Ruby Linux

Lubuntu 14.04 の Ruby に Nokogiri をインストールしようとしたのですが、上手くいきませんでした。ぐぐってみたところ、

$ sudo apt-get install ruby2.2-dev

を実行(もちろん Ruby のバージョンは自分のやつ)、その後で

$ sudo gem install nokogiri

でインストールすれば出来ました。

※追記
Lubuntu を再インストールしたので上の手順でやってみたところ、Nokogiri のインストールの前にさらに

$ sudo apt-get install zlib1g-dev

が必要でした。これで上手くいきました。